
%global meadversion 2.2.12
%global namedversion 2.2.12.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-jsf-api_2.2_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.2.12.redhat-1

Name:           %{?scl_prefix}jboss-jsf-api_2.2_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JavaServer(TM) Faces 2.2 API
Group:          Development/Java

%if %with mead
Source100: jboss-jsf-api_2.2_spec-2.2.12.redhat-1-scm-sources.zip
Source102: jboss-jsf-api_2.2_spec-2.2.12.redhat-1-project-sources.tar.gz
Source103: jboss-jsf-api_2.2_spec-2.2.12.redhat-1-javadoc.jar
Source104: jboss-jsf-api_2.2_spec-2.2.12.redhat-1.jar
Source105: jboss-jsf-api_2.2_spec-2.2.12.redhat-1.pom
Source106: jboss-jsf-api_2.2_spec-2.2.12.redhat-1-sources.jar
%endif

License:        GPLv2
URL:            https://github.com/jboss/jboss-jsf-api_spec
%if 0
Requires:       %{?scl_prefix_eap}jboss-javaee-all-7.0 >= 0:1.0.0
%endif
Requires:       %{?scl_prefix_eap}jsf-impl >= 0:2.2.3
Requires:       %{?scl_prefix_eap}jboss-el-api_3.0_spec >= 0:1.0.0
Requires:       %{?scl_prefix_eap}jboss-jsp-api_2.3_spec >= 0:1.0.0
Requires:       %{?scl_prefix_eap}jboss-jstl-api_1.2_spec >= 0:1.0.4
Requires:       %{?scl_prefix_eap}validation-api >= 0:1.1.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-jsf-api_2.2_spec-%{namedversion}-%{release}-root

%description
JSR-000344: JavaServer(TM) Faces 2.2 API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-jsf-api_2.2_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-jsf-api_spec -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-jsf-api_2.2_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-jsf-api_2.2_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-jsf-api_2.2_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-jsf-api_2.2_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-jsf-api_2.2_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-jsf-api_2.2_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-jsf-api_2.2_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-jsf-api_2.2_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-jsf-api_2.2_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-jsf-api_2.2_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-jsf-api_2.2_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-jsf-api_2.2_spec
%defattr(0644,root,root,0755)
%doc LICENSE README
%{_javadir}/jboss-jsf-api_2.2_spec-%{namedversion}.jar
%{_javadir}/jboss-jsf-api_2.2_spec.jar
%if %with javadoc
%{_javadir}/jboss-jsf-api_2.2_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-jsf-api_2.2_spec-javadoc.jar
%endif
%{_javadir}/jboss-jsf-api_2.2_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-jsf-api_2.2_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-jsf-api_2.2_spec-%{namedversion}
%{_javadocdir}/jboss-jsf-api_2.2_spec
%endif

%changelog
* Wed Aug 05 2015 David Walluck <dwalluck@redhat.com> - 2.2.12-1.redhat_1.1
- 2.2.12.Final

* Wed Jun 17 2015 David Walluck <dwalluck@redhat.com> - 2.2.11-2.redhat_1.1
- remove some Requires

* Tue Jun 16 2015 Hui Wang <huwang@redhat.com> - 2.2.11-1.redhat_1.1
- Initial build

